summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/updateBootCache
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/scripts/updateBootCache')
-rwxr-xr-xclient/shared/scripts/updateBootCache7
1 files changed, 7 insertions, 0 deletions
diff --git a/client/shared/scripts/updateBootCache b/client/shared/scripts/updateBootCache
new file mode 100755
index 00000000..af2267a2
--- /dev/null
+++ b/client/shared/scripts/updateBootCache
@@ -0,0 +1,7 @@
+#!/bin/bash
+OGBTFTP="/opt/og2fs/tftpboot/ogclient/"
+ogMountCache || exit 1
+echo $OGCAC
+[ -d $OGCAC/boot ] || mkdir -p $OGCAC/boot
+[ -f ${OGCAC}/boot/ogvmlinuz ] || cp ${OGBTFTP}ogvmlinuz ${OGCAC}/boot/ogvmlinuz
+[ -f ${OGCAC}/boot/oginitrd.img ] || cp ${OGBTFTP}oginitrd.img ${OGCAC}/boot/oginitrd.img \ No newline at end of file